## php7.0 7.0.33

=== win32/build/Makefile ===
#  +----------------------------------------------------------------------+
#  | PHP Version 7                                                        |
#  +----------------------------------------------------------------------+
#  | Copyright (c) 1997-2017 The PHP Group                                |
#  +----------------------------------------------------------------------+
#  | This source file is subject to version 3.01 of the PHP license,      |
#  | that is bundled with this package in the file LICENSE, and is        |
#  | available through the world-wide-web at the following url:           |
#  | http://www.php.net/license/3_01.txt                                  |
#  | If you did not receive a copy of the PHP license and are unable to   |
#  | obtain it through the world-wide-web, please send a note to          |
#  | license@php.net so we can mail you a copy immediately.               |
#  +----------------------------------------------------------------------+
#  | Author: Wez Furlong <wez@thebrainroom.com>                           |
#  +----------------------------------------------------------------------+
#
# $Id$
# This is the makefile template for the win32 build

CC="$(PHP_CL)"
LD="$(LINK)"
MC="$(MC)"
MT="$(MT)"
RE2C="$(RE2C)"
PGOMGR="$(PGOMGR)"
PHP_BUILD=$(PHP_BUILD)

MCFILE=$(BUILD_DIR)\wsyslog.rc
BUILD_DIR_DEV_NAME=php-$(PHP_VERSION_STRING)-devel-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE)
BUILD_DIR_DEV=$(BUILD_DIR)\$(BUILD_DIR_DEV_NAME)

!if "$(DEBUGGER)" == "1"
DEBUGGER_CMD=devenv
DEBUGGER_ARGS=/debugexe
!else
DEBUGGER_CMD=
DEBUGGER_ARGS=
!endif

all: generated_files $(EXT_TARGETS) $(PECL_TARGETS) $(SAPI_TARGETS)

build_dirs: $(BUILD_DIR) $(BUILD_DIRS_SUB) $(BUILD_DIR_DEV)

!if $(RE2C) == ""
generated_files: build_dirs Zend\zend_ini_parser.c \
	Zend\zend_language_parser.c \
	sapi\phpdbg\phpdbg_parser.c \
	$(PHPDEF) $(MCFILE)
!else
generated_files: build_dirs Zend\zend_ini_parser.c \
	Zend\zend_language_parser.c Zend\zend_ini_scanner.c \
	Zend\zend_language_scanner.c \
	sapi\phpdbg\phpdbg_parser.c sapi\phpdbg\phpdbg_lexer.c \
	$(PHPDEF) $(MCFILE)
!endif

$(BUILD_DIR)\$(PHPDLL).def: $(PHP_DLL_DEF_SOURCES)
	type $(PHP_DLL_DEF_SOURCES) > $(BUILD_DIR)\$(PHPDLL).def

Zend\zend_ini_parser.c Zend\zend_ini_parser.h: Zend\zend_ini_parser.y
	$(BISON) --output=Zend/zend_ini_parser.c -v -d -p ini_ Zend/zend_ini_parser.y

Zend\zend_language_parser.c Zend\zend_language_parser.h: Zend\zend_language_parser.y
	$(BISON) --output=Zend/zend_language_parser.c -v -d -p zend Zend/zend_language_parser.y
	@if "$(SED)" neq "" $(SED) -i "s,^int zendparse\(.*\),ZEND_API int zendparse\1,g" Zend/zend_language_parser.c
	@if "$(SED)" neq "" $(SED) -i "s,^int zendparse\(.*\),ZEND_API int zendparse\1,g" Zend/zend_language_parser.h
	@if "$(SED)" neq "" $(SED) -i "s,^#ifndef YYTOKENTYPE,#include \"zend.h\"\n#ifndef YYTOKENTYPE,g" Zend/zend_language_parser.h

sapi\phpdbg\phpdbg_parser.c sapi\phpdbg\phpdbg_parser.h: sapi\phpdbg\phpdbg_parser.y
	$(BISON) --output=sapi/phpdbg/phpdbg_parser.c -v -d -p phpdbg_ sapi/phpdbg/phpdbg_parser.y
	
!if $(RE2C) != ""
Zend\zend_ini_scanner.c: Zend\zend_ini_scanner.l
	$(RE2C) $(RE2C_FLAGS) --no-generation-date --case-inverted -cbdFt Zend/zend_ini_scanner_defs.h -oZend/zend_ini_scanner.c Zend/zend_ini_scanner.l

Zend\zend_language_scanner.c: Zend\zend_language_scanner.l
	$(RE2C) $(RE2C_FLAGS) --no-generation-date --case-inverted -cbdFt Zend/zend_language_scanner_defs.h -oZend/zend_language_scanner.c Zend/zend_language_scanner.l
	
sapi\phpdbg\phpdbg_lexer.c: sapi\phpdbg\phpdbg_lexer.l
	$(RE2C) $(RE2C_FLAGS) --no-generation-date -cbdFo sapi/phpdbg/phpdbg_lexer.c sapi/phpdbg/phpdbg_lexer.l
!endif

!if "$(ZTS)" == "1"
PHP7_PGD_SUFFIX=ts
!else
PHP7_PGD_SUFFIX=
!endif

!if $(PGOMGR) != ""
PHP7_PGD_OPTION=/PGD:$(PGOPGD_DIR)\php7$(PHP7_PGD_SUFFIX).pgd
!else
PHP7_PGD_OPTION=
!endif

PHPDLL_RES=$(BUILD_DIR)\$(PHPDLL).res

$(MCFILE): win32\build\wsyslog.mc
	$(MC) -h win32\ -r $(BUILD_DIR)\ -x $(BUILD_DIR)\ win32\build\wsyslog.mc

#	$(RC) /fo $(MCFILE) $(BUILD_DIR)\wsyslog.rc

!if $(MT) == ""
_VC_MANIFEST_EMBED_EXE=
_VC_MANIFEST_EMBED_DLL=
!else
_VC_MANIFEST_EMBED_EXE= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;1
_VC_MANIFEST_EMBED_DLL= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;2
!endif

$(PHPDLL_RES): win32\build\template.rc
	$(RC) /nologo /fo $(PHPDLL_RES) /d FILE_DESCRIPTION="\"PHP Script Interpreter\"" \
		/d FILE_NAME="\"$(PHPDLL)\"" /d PRODUCT_NAME="\"PHP Script Interpreter\"" \
		/I$(BUILD_DIR) /d MC_INCLUDE="\"$(MCFILE)\"" \
		win32\build\template.rc

$(BUILD_DIR)\$(PHPDLL): generated_files $(PHPDEF) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(PHPDLL_RES) $(MCFILE)
	@copy win32\build\default.manifest $(BUILD_DIR)\$(PHPDLL).manifest >nul
#	@$(CC) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES) /link /out:$(BUILD_DIR)\$(PHPDLL) $(PHP7_PGD_OPTION) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
	@"$(LINK)" $(PHP_GLOBAL_OBJS_RESP) $(STATIC_EXT_OBJS_RESP) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES) /out:$(BUILD_DIR)\$(PHPDLL) $(PHP7_PGD_OPTION) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
	-@$(_VC_MANIFEST_EMBED_DLL)

$(BUILD_DIR)\$(PHPLIB): $(BUILD_DIR)\$(PHPDLL)

$(BUILD_DIR) $(BUILD_DIRS_SUB) $(BUILD_DIR_DEV):
	@echo Recreating build dirs
	@if not exist $(BUILD_DIR) mkdir $(BUILD_DIR)
	@cd $(BUILD_DIR)
	@for %D in ($(BUILD_DIRS_SUB)) do @if not exist %D @mkdir %D > NUL
	@if not exist $(BUILD_DIR_DEV) @mkdir $(BUILD_DIR_DEV) > NUL
	@cd "$(PHP_SRC_DIR)"
	

clean-sapi:
	@echo Cleaning SAPI
	@for %D in (_x $(EXT_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(PECL_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(SAPI_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	-@del /F /Q $(BUILD_DIR)\$(PHPDLL)

clean: clean-sapi
	@echo Cleaning distribution build dirs
	@cd $(BUILD_DIR)
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @del /F /Q %D\*.* > NUL
	@cd "$(PHP_SRC_DIR)"
	-@del /F /Q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.manifest $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\php-$(PHP_VERSION_STRING)-Win32.zip $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)-Win32.zip > NUL
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)

clean-pecl:
	@echo Cleaning PECL targets only
	-rd /s /q $(BUILD_DIR)\pecl

clean-all:
	@echo Cleaning standard build dirs
	@cd $(BUILD_DIR)
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @rd /s /q %D
	@cd "$(PHP_SRC_DIR)"
	-@del /f /q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\*.rc $(BUILD_DIR)\*.manifest $(BUILD_DIR)\*.dbg $(BUILD_DIR)\*.bin $(BUILD_DIR)\php*.dll $(BUILD_DIR)\php*.exe > NUL

clean-pgo: clean-all
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING).zip


!if $(PHP_TEST_INI_PATH) == ""
test: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" -d open_basedir= -d output_buffering=0 run-tests.php $(TESTS) -p "$(BUILD_DIR)\php.exe"

run: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" $(ARGS)
!else
test: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" -n -c $(PHP_TEST_INI_PATH) -d open_basedir= -d output_buffering=0 -d memory_limit=-1 run-tests.php -p "$(BUILD_DIR)\php.exe" -n -c $(PHP_TEST_INI_PATH) $(TESTS)

run: set-tmp-env
	$(DEBUGGER_CMD) $(DEBUGGER_ARGS) "$(BUILD_DIR)\php.exe" -n -c $(PHP_TEST_INI_PATH) $(ARGS)
!endif

build-snap: set-tmp-env generated_files
	@$(MAKE) "$(BUILD_DIR)\$(PHPDLL)"
	-for %T in ($(SAPI_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(EXT_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(PECL_TARGETS)) do $(MAKE) /I /nologo "%T"

build-dist: $(BUILD_DIR)\deplister.exe
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	$(BUILD_DIR)\php.exe -d date.timezone=UTC -n -dphar.readonly=0 win32/build/mkdist.php "$(BUILD_DIR)" "$(PHP_BUILD)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS) $(PHP_EXTRA_DIST_FILES)" "$(PECL_TARGETS) $(PECL_EXTRA_DIST_FILES)" "$(SNAPSHOT_TEMPLATE)"
	cd $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip .
	cd $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip .
	cd $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\php-test-pack-$(PHP_VERSION_STRING).zip .
	cd $(BUILD_DIR)
	-$(ZIP) -9 -q php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip *.pdb
	-$(ZIP) -9 -q -r php-devel-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip $(BUILD_DIR_DEV_NAME)
	cd $(BUILD_DIR)

dist: all build-dist
snap: build-snap build-devel build-dist

$(BUILD_DIR)\deplister.exe:	win32\build\deplister.c
	$(PHP_CL) /nologo /Fo$(BUILD_DIR)\ /Fd$(BUILD_DIR)\ /Fp$(BUILD_DIR)\ /FR$(BUILD_DIR) /Fe$(BUILD_DIR)\deplister.exe win32\build\deplister.c imagehlp.lib

msi-installer: dist
	$(BUILD_DIR)\php.exe ..\php-installer\build-installer.php "$(BUILD_DIR)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS)" "$(PECL_TARGETS)"

# need to redirect, since INSTALL is a file in the root...
install: really-install install-sdk

build-lib: build-ext-libs
	@if not exist $(BUILD_DIR_DEV)\lib mkdir $(BUILD_DIR_DEV)\lib >nul
	@copy $(BUILD_DIR)\$(PHPLIB) $(BUILD_DIR_DEV)\lib /y >nul

build-devel: build-headers build-lib
	@if not exist $(BUILD_DIR_DEV)\script mkdir $(BUILD_DIR_DEV)\script >nul
	@if not exist $(BUILD_DIR_DEV)\build mkdir $(BUILD_DIR_DEV)\build >nul
	@copy run-tests.php $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\confutils.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\configure.tail $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\config.w32.phpize.in $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\Makefile.phpize $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\phpize.bat $(BUILD_DIR_DEV)\ /y >nul
	@copy win32\build\template.rc $(BUILD_DIR_DEV)\build\ /y >nul
	@copy win32\build\default.manifest $(BUILD_DIR_DEV)\build\ /y >nul
	@copy $(BUILD_DIR)\devel\config.phpize.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy $(BUILD_DIR)\devel\phpize.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy $(BUILD_DIR)\devel\ext_deps.js $(BUILD_DIR_DEV)\script\ /y >nul

install-sdk: build-devel
	@xcopy /Q /Y /E /I $(BUILD_DIR_DEV)\* $(PHP_PREFIX)\SDK

really-install:
	@if not exist $(PHP_PREFIX) mkdir $(PHP_PREFIX)
	@if not exist $(PHP_PREFIX)\ext mkdir $(PHP_PREFIX)\ext
	@echo Installing files under $(PHP_PREFIX)
	@if exist $(BUILD_DIR)\*.exe copy $(BUILD_DIR)\*.exe $(PHP_PREFIX) /y >nul
	@type nul > $(BUILD_DIR)\extension_dlls.txt

=== debian/changelog ===
php7.0 (7.0.33-86+0~20260213.108+debian11~1.gbp775c5e) unstable; urgency=medium

  ** SNAPSHOT build @775c5e9532c5bafec583fa1f48b8e2970bd2c787 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Fri, 13 Feb 2026 16:51:46 +0100

php7.0 (7.0.33-86) unstable; urgency=medium

  * Disable debugging output in secure DNS telemetry

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Feb 2026 16:43:00 +0100

php7.0 (7.0.33-85) unstable; urgency=medium

  * Make the apache2 configuration ReDoS resistant
  * Add a minimal privacy-preserving secure DNS telemetry to check current
    version if there are security updates available
  * Include the extra build arguments from php-common

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Feb 2026 20:01:56 +0100

php7.0 (7.0.33-84) unstable; urgency=medium

  * Add preliminary LiteSpeed SAPI support
  * Use --with-litespeed instead of newer --enable-litespeed
  * Fix missing include in litespeed build

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Dec 2025 23:36:01 +0100

php7.0 (7.0.33-83) unstable; urgency=medium

  * Or just use /bin/sed; that should work everywhere

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 10:10:39 +0100

php7.0 (7.0.33-82) unstable; urgency=medium

  * Workaround make $(shell ...) command unable to execute builtins

 -- Ondřej Surý <ondrej@debian.org>  Thu, 20 Nov 2025 08:53:42 +0100

php7.0 (7.0.33-81) unstable; urgency=medium

  * Move setting ICU_CXXFLAGS to the right place in d/rules
  * Override ICU_CXXFLAGS instead of patching ext/intl/config.m4
  * Use ICU >= 75 version to determine the need for C++11 or C++17
  * Update unwanted binary file list
  * Use command -v sed to resolve path to SED

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Nov 2025 11:04:35 +0100

php7.0 (7.0.33-80) unstable; urgency=medium

  * Add -Wno-incompatible-pointer-types to CFLAGS to build on Debian trixie
  * Add -Wno-deprecated to CFLAGS for readdir_r
  * Force POSIX readdir_r() semantics
  * Remove spurious php_config.h include
  * Replace individual -Wno-<*> checks with -fpermissive in the CFLAGS
  * Disable the upstream test suite for unsupported PHP release
  * Add #ifdef guards to main/php_config.h.in
  * Add #ifdef guards to main/php_config.h.in into configure.in
  * Remove libxmltok1-dev from Build-Depends (Closes: #871826)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Apr 2025 19:23:58 +0200

php7.0 (7.0.33-79) unstable; urgency=medium

  * Backported from 8.1.31
   + Heap-Use-After-Free in sapi_read_post_data Processing in CLI SAPI
     Interface.
   + [CVE-2024-8932]: OOB access in ldap_escape.
   + [CVE-2024-11233]: Single byte overread with
     convert.quoted-printable-decode filter.
   + [CVE-2024-11234]: Configuring a proxy in a stream context might allow
     for CRLF injection in URIs.
   + [CVE-2024-11236]: Integer overflow in the dblib quoter causing OOB
     writes.
   + [CVE-2024-11236]: Integer overflow in the firebird quoter causing OOB
     writes.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Dec 2024 07:18:45 +0100

php7.0 (7.0.33-78) unstable; urgency=medium

  * Remove the /usr/lib/libphp.so symbolic link if unowned (Closes: #1035798)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Dec 2024 09:38:07 +0100

php7.0 (7.0.33-77) unstable; urgency=medium

  * Backported from 8.1.30
   + CVE-2024-8926: Bypass of CVE-2024-4577, Parameter Injection
     Vulnerability
   + CVE-2024-8927: cgi.force_redirect configuration is bypassable due to
     the environment variable collision
   + CVE-2024-8925: Erroneous parsing of multipart form data

 -- Ondřej Surý <ondrej@debian.org>  Wed, 30 Oct 2024 11:29:24 +0100

php7.0 (7.0.33-76) unstable; urgency=medium

  * Add Restart=on-failure to the systemd service file
  * Backported from 8.1.29
   + CVE-2024-4577: Bypass of CVE-2012-1823, Argument Injection in PHP-CGI

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Aug 2024 17:50:23 +0200

php7.0 (7.0.33-75) unstable; urgency=medium

  * [CVE-2024-5458]: Filter bypass in filter_var FILTER_VALIDATE_URL

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2024 18:26:43 +0200

php7.0 (7.0.33-74) unstable; urgency=medium

  * Fix the php-config mangling script in configure embeds the options in
    a single quote

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2024 12:29:07 +0200

php7.0 (7.0.33-73) unstable; urgency=medium

  * Disable -Werror=implicit-function-declaration on old PHP versions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Apr 2024 03:00:33 +0200

php7.0 (7.0.33-72) unstable; urgency=medium

  * Disable -Wall -pedantic for old PHP versions

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Apr 2024 23:44:10 +0200

php7.0 (7.0.33-71) unstable; urgency=medium

  * Add -Wno-deprecated-declarations to CFLAGS to help Ubuntu 24.04 builds

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Apr 2024 23:39:12 +0200

php7.0 (7.0.33-70) unstable; urgency=medium

  * Backported from 8.1.28
   + CVE-2024-1874: Fixed bug GHSA-pc52-254m-w9w7 (Command injection via
     array-ish $command parameter of proc_open).
   + CVE-2024-2756: Fixed bug GHSA-wpj3-hf5j-x4v4 (__Host-/__Secure-
     cookie bypass due to partial CVE-2022-31629 fix).
   + CVE-2024-3096: Fixed bug GHSA-h746-cjrr-wfmr (password_verify can
     erroneously return true, opening ATO risk).

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Apr 2024 23:09:30 +0200

php7.0 (7.0.33-69) unstable; urgency=medium

  [ Ondřej Surý ]
  * Remove hardcoded dependency on libmagic1 (Closes: #1065985)

  [ Andrey Rakhmatullin ]
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066234).

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Mar 2024 09:28:44 +0100

php7.0 (7.0.33-68) unstable; urgency=medium

  * Enable DTrace on all architectures

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Sep 2023 09:02:28 +0200

php7.0 (7.0.33-67) unstable; urgency=medium

  * Backported from 8.0.30
   + CVE-2023-3823: Fixed bug GHSA-3qrf-m4j2-pcrr (Security issue with


=== debian/control ===
Source: php7.0
Section: php
Priority: optional
Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Lior Kaplan <kaplan@debian.org>
Build-Depends: debhelper (>= 9.20160709~),
               dh-apache2,
               dpkg-dev (>= 1.16.1~),
               apache2-bin (>= 2.4),
               apache2-dev (>= 2.4),
               autoconf (>= 2.63),
               automake,
               bison,
               chrpath,
               default-libmysqlclient-dev | libmysqlclient-dev,
               firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
               flex,
               freetds-dev,
               libacl1-dev,
               libapparmor-dev [linux-any],
               libapr1-dev (>= 1.2.7-8),
               libbz2-dev,
               libc-client-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libdb-dev,
               libedit-dev (>= 2.11-20080614-4),
               libenchant-2-dev | libenchant-dev,
               libevent-dev (>= 1.4.11),
               libexpat1-dev (>= 1.95.2-2.1),
               libfreetype6-dev,
               libgcrypt20-dev (>> 1.6.3) | libgcrypt11-dev (<< 1.5.4),
               libgd-dev (>= 2.1.0) | libgd2-dev,
               libglib2.0-dev,
               libgmp3-dev,
               libicu-dev,
               libjpeg-dev | libjpeg62-dev,
               libkrb5-dev,
               libldap2-dev,
               libmagic-dev,
               libmcrypt-dev,
               libmhash-dev (>= 0.8.8),
               libnss-myhostname [linux-any],
               libonig-dev,
               libpam0g-dev,
               libpcre3-dev (>= 2:8.35),
               libpng-dev,
               libpq-dev,
               libpspell-dev,
               libqdbm-dev,
               librecode-dev,
               libsasl2-dev,
               libsnmp-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libtidy-dev (>= 1:5.2.0),
               libtool (>= 2.2),
               libwebp-dev,
               libwrap0-dev,
               libxml2-dev,
               libxmlrpc-epi-dev,
               libxslt1-dev (>= 1.0.18),
               libzip-dev (>= 1.0.0),
               locales-all | language-pack-de,
               netbase,
               netcat-openbsd,
               php-common,
               re2c,
               systemtap-sdt-dev,
               tzdata,
               unixodbc-dev,
               zlib1g-dev
Build-Conflicts: bind-dev,
                 libxmlrpc-core-c3-dev
Standards-Version: 4.5.0.0
Vcs-Git: https://salsa.debian.org/php-team/php.git -b debian/main/7.0
Vcs-Browser: https://salsa.debian.org/php-team/php/-/tree/debian/main/7.0
Homepage: http://www.php.net/

Package: libapache2-mod-php7.0
Section: httpd
Architecture: any
Depends: libpcre3 (>= 2:8.35),
         media-types | mime-support,
         php7.0-cli,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libapache2-mod-php,
          ${php:Provides}
Recommends: apache2
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (Apache 2 module)
 This package provides the PHP module for the Apache 2 webserver (as
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libphp7.0-embed
Architecture: any
Depends: libpcre3 (>= 2:8.35),
         media-types | mime-support,
         php7.0-cli,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libphp-embed,
          ${php:Provides}
Suggests: php-pear
Description: HTML-embedded scripting language (Embedded SAPI library)
 This package provides the library /usr/lib/libphp7.0.so which can
 be used by application developers to embed PHP scripting functionality.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 WARNING: The embed SAPI is experimental and there's no guarantee that
 the API/ABI will be kept compatible even between minor releases.  You
 have been warned.

Package: php7.0
Architecture: all
Depends: libapache2-mod-php7.0 | php7.0-fpm | php7.0-cgi,
         php7.0-common,
         ${misc:Depends}
Provides: php
Description: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you
 have at least one of the four server-side versions of the PHP interpreter
 installed. Removing this package won't remove PHP from your system, however
 it may remove other packages that depend on this one.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-bcmath
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php-bcmath:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
             ${php-bcmath:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-bcmath:Replaces}
Breaks: ${php-bcmath:Breaks}
Conflicts: ${php-bcmath:Conflicts}
Provides: ${php-bcmath:Provides}
Recommends: ${php-bcmath:Recommends}
Description: Bcmath module for PHP
 This package provides the Bcmath module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-bz2
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php-bz2:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
             ${php-bz2:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-bz2:Replaces}
Breaks: ${php-bz2:Breaks}
Conflicts: ${php-bz2:Conflicts}
Provides: ${php-bz2:Provides}
Recommends: ${php-bz2:Recommends}
Description: bzip2 module for PHP
 This package provides the bzip2 module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-cgi
Architecture: any
Depends: libpcre3 (>= 2:8.35),
         media-types | mime-support,
         php7.0-cli,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cgi,
          ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/php CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST users probably
 want the php7.0-fpm package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-cli
Architecture: any
Depends: libedit2 (>= 2.11-20080614-4),
         libpcre3 (>= 2:8.35),
         media-types | mime-support,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         php7.0-readline,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cli,
          ${php:Provides}
Suggests: php-pear
Description: command-line interpreter for the PHP scripting language
 This package provides the /usr/bin/php7.0 command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-common
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php-common:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
             ${php-common:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-common:Replaces}
Breaks: ${php-common:Breaks}
Conflicts: ${php-common:Conflicts}
Provides: ${php-common:Provides}
Recommends: ${php-common:Recommends}
Description: documentation, examples and common module for PHP
 This package provides the documentation, examples and common module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-curl
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php-curl:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
             ${php-curl:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-curl:Replaces}
Breaks: ${php-curl:Breaks}
Conflicts: ${php-curl:Conflicts}
Provides: ${php-curl:Provides}
Recommends: ${php-curl:Recommends}
Description: CURL module for PHP
 This package provides the CURL module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-dba
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php-dba:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
             ${php-dba:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-dba:Replaces}
Breaks: ${php-dba:Breaks}
Conflicts: ${php-dba:Conflicts}
Provides: ${php-dba:Provides}
Recommends: ${php-dba:Recommends}
Description: DBA module for PHP
 This package provides the DBA module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-dev
Depends: autoconf (>= 2.63),
         automake (>= 1.11),
         libpcre3-dev (>= 2:8.35),
         libssl-dev,
         php7.0-cli (>= ${binary:Version}),
         php7.0-common (= ${binary:Version}),
         pkg-config,
         shtool,
         ${libtool:Depends},
         ${misc:Depends},
         ${perl:Depends}
Conflicts: ${libtool:Conflicts}
Architecture: any
Recommends: pkg-php-tools
Suggests: dh-php
Description: Files for PHP7.0 module development
 This package provides the files from the PHP7.0 source needed for compiling
 additional modules.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-enchant
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Make the shell scripts fail after first failed command (important for SAPI loops)
SHELL := /bin/sh -e

# Hardcode correct absolute path to sed
export ac_cv_path_SED := /bin/sed
export SED := /bin/sed

# Enable parallel builds
PARALLEL=--parallel

# enable dpkg build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_HOST_MULTIARCH
PHP_SOURCE_VERSION   := $(DEB_VERSION)
PHP_UPSTREAM_VERSION := $(DEB_VERSION_UPSTREAM)
PHP_DEBIAN_REVISION  := $(shell echo $(PHP_SOURCE_VERSION) | $(SED) -e 's/.*-//')
PHP_DFSG_VERSION     := $(shell echo $(PHP_UPSTREAM_VERSION) | $(SED) -e 's/+.*//')
PHP_MAJOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$1}')
PHP_MINOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$2}')
PHP_RELEASE_VERSION  := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$3}')

ICU_VERSION := $(shell dpkg -s libicu-dev | $(SED) -ne 's/^Version: \(.*\)$$/\1/p')

ifeq ($(shell dpkg --compare-versions $(ICU_VERSION) ge 75;echo $$?),0)
export ICU_CXXFLAGS := -std=c++17
else
export ICU_CXXFLAGS := -std=c++11
endif

# Enable ZTS build if $(DEB_SOURCE) ends with -zts
ZTS=$(shell echo $(DEB_SOURCE) | sed 's/php$(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)//')
ifeq ($(ZTS),-zts)
$(warning Enabling ZTS build)
CONFIGURE_ZTS        := --enable-maintainer-zts
endif

PHP_NAME_VERSION     := $(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)$(ZTS)
PHP_ZEND_VERSION     := $(shell $(SED) -ne 's/\#define ZEND_MODULE_API_NO //p' Zend/zend_modules.h)$(ZTS)

ifneq ($(DEB_SOURCE),php$(PHP_NAME_VERSION))
$(error $(DEB_SOURCE) != php$(PHP_NAME_VERSION))
endif
REAL_TARGETS         := apache2 phpdbg embed fpm litespeed cgi cli
EXTRA_TARGETS        := ext
TARGETS              := $(EXTRA_TARGETS) $(REAL_TARGETS)

# Special package names
PHP_PHP       := php$(PHP_NAME_VERSION)
PHP_COMMON    := php$(PHP_NAME_VERSION)-common
PHP_FPM       := php$(PHP_NAME_VERSION)-fpm
PHP_LIBEMBED  := libphp$(PHP_NAME_VERSION)-embed
PHP_DEV       := php$(PHP_NAME_VERSION)-dev
PHP_APACHE2   := libapache2-mod-php$(PHP_NAME_VERSION)
PHP_LITESPEED := php$(PHP_NAME_VERSION)-litespeed
PHP_CGI       := php$(PHP_NAME_VERSION)-cgi
PHP_CLI       := php$(PHP_NAME_VERSION)-cli
PHP_PHPDBG    := php$(PHP_NAME_VERSION)-phpdbg

# Generic commands

SED_VARIABLES := \
	$(SED) -e "s,@sapi@,$${sapi},g"				|\
	$(SED) -e "s,@package@,$${package},g"			|\
	$(SED) -e "s,@extensions@,$${extensions},g"		|\
	$(SED) -e "s,@module@,$${module},g"			|\
	$(SED) -e "s,@extdir@,$${extdir},g"			|\
	$(SED) -e "s,@priority@,$${priority},g"			|\
	$(SED) -e "s,@PHP_VERSION@,$(PHP_NAME_VERSION),g"	|\
	$(SED) -e "s,@PHP_MAJOR@,$(PHP_MAJOR_VERSION),g"	|\
	$(SED) -e "s,@PHP_MINOR@,$(PHP_MINOR_VERSION),g"	|\
	$(SED) -e "s,@PHP_RELEASE@,$(PHP_RELEASE_VERSION),g"	|\
	$(SED) -e "s,@PHP_API@,$(PHP_ZEND_VERSION),g"

SED_REPLACEMENT := $(SED) -e "/\#EXTRA\#/ r debian/$${versionless}.$${tmpl}.extra" | $(SED_VARIABLES) | $(SED) -e '/\#EXTRA\#/ d'

SAPI_PACKAGE := \
	case $${sapi} in \
	  embed)         package=$(PHP_LIBEMBED); source=libphp-$${sapi} ;; \
	  apache2)       package=$(PHP_APACHE2); source=libapache2-mod-php ;; \
	  *)             package=php$(PHP_NAME_VERSION)-$${sapi}; source=php-$${sapi} ;; \
	esac; \
	versionless=$$(echo $${package} | $(SED) -e 's/$(PHP_NAME_VERSION)//g');

MODULE_PACKAGE := \
	package=php$(PHP_NAME_VERSION)-$${module}; \
	versionless=$$(echo $${package} | $(SED) -e 's/$(PHP_NAME_VERSION)//g');

LIBTOOL_VERSION := $(shell dpkg-query -f'$${Version}' -W libtool)

# Disable the test now
RUN_TESTS := no
ifeq (nocheck,$(filter nocheck,$(DEB_BUILD_PROFILES)))
  $(warning Disabling tests due DEB_BUILD_PROFILES)
  DEB_BUILD_OPTIONS += nocheck
  RUN_TESTS := no
else
  ifeq (nocheck,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    $(warning Disabling tests due DEB_BUILD_OPTIONS)
    RUN_TESTS := no
  endif
endif
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el armel armhf arm64 kfreebsd-amd64 kfreebsd-i386))
  $(warning Disabling checks on $(DEB_HOST_ARCH))
  RUN_TESTS := no
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_SYSTEMD := --with-fpm-systemd
  CONFIGURE_APPARMOR := --with-fpm-apparmor
endif

# specify some options to our patch system
QUILT_DIFF_OPTS := -p
QUILT_NO_DIFF_TIMESTAMPS := 1
export QUILT_DIFF_OPTS QUILT_NO_DIFF_TIMESTAMPS

export PROG_SENDMAIL := /usr/sbin/sendmail
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEB_CFLAGS_MAINT_APPEND += -O2
else
  DEB_CFLAGS_MAINT_APPEND += -O0
endif
DEB_CFLAGS_MAINT_APPEND += -fpermissive -Wno-deprecated -Wno-deprecated-declarations -fsigned-char -fno-strict-aliasing
DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)

# Secure DNS Telemetry (not enabled in build by default)
-include /usr/lib/php/php-common.mk
DEB_CFLAGS_MAINT_APPEND += \
	-DTELEMETRY_PACKAGE='\"$(DEB_SOURCE)\"' \
	-DTELEMETRY_VERSION='\"$(DEB_VERSION)\"'

# OpenSSL 3.0 support
DEB_CFLAGS_MAINT_APPEND += -DOPENSSL_SUPPRESS_DEPRECATED

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
  DEB_CFLAGS_MAINT_APPEND += -mieee
endif

# Enable producing of debugging information
DEB_CFLAGS_MAINT_APPEND += -g

DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_CFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND

# some other helpful (for readability at least) shorthand variables
PHPIZE_BUILDDIR := /usr/lib/php/$(PHP_ZEND_VERSION)/build/

COMMON_CONFIG := \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--config-cache --cache-file=$(CURDIR)/config.cache \
		--libdir=\$${prefix}/lib/php \
		--libexecdir=\$${prefix}/lib/php \
		--datadir=\$${prefix}/share/php/$(PHP_NAME_VERSION) \
		--program-suffix=$(PHP_NAME_VERSION) \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=/usr/share/man \
		--disable-all \
		--disable-debug \
		--disable-rpath \
		--disable-static \
		--enable-dtrace \
		--with-pic \
		--with-layout=GNU \
		--without-pear \
		--enable-filter \
		--with-openssl=yes \
		--with-pcre-regex=/usr \
		--enable-hash \
		  --with-mhash=/usr \
		--enable-libxml \
		--enable-session \
		--with-system-tzdata \
		--with-zlib=/usr \
		  --with-zlib-dir=/usr \
		$(CONFIGURE_ZTS) \

# disable all SAPIs in extension build
export ext_config = \
		--prefix=/usr --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/apache2 \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/apache2/conf.d \
		$(COMMON_CONFIG)

export apache2_config = \
		--prefix=/usr --with-apxs2=/usr/bin/apxs2 --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/apache2 \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/apache2/conf.d \
		$(COMMON_CONFIG)

export cgi_config = \
		--prefix=/usr --enable-cgi --enable-cli --disable-phpdbg \
		--enable-force-cgi-redirect --enable-fastcgi \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/cgi \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/cgi/conf.d \
		$(COMMON_CONFIG) \
		--enable-pcntl

export cli_config = \
		--prefix=/usr --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/cli \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/cli/conf.d \
		$(COMMON_CONFIG) \
		--enable-pcntl \
		--with-libedit=shared,/usr

export embed_config = \
		--prefix=/usr --enable-embed --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/embed \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/embed/conf.d \
		$(COMMON_CONFIG) \
		--without-mm \
		--enable-pcntl

export fpm_config = \
		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \

=== debian/tests/control ===
Tests: cli
Depends: php7.0-cli,
         wget

Tests: cgi
Depends: apache2,
         php7.0-cgi,
         wget
Restrictions: needs-root

Tests: mod-php
Depends: apache2,
         libapache2-mod-php7.0,
         wget
Restrictions: needs-root

Tests: fpm
Depends: apache2,
         php7.0-fpm,
         wget
Restrictions: needs-root
